-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
--select * from [C6Mart].[ASSETCLASS_TERZI]
--[C6Mart].[DM_ASSETCLASS_TERZI]
CREATE procedure [C6Mart].[RP_DM_ASSETCLASS_TERZI]
AS
BEGIN
	SET NOCOUNT ON;
	DECLARE @ID_ELAB INT
	DECLARE @TIPO_ELAB VARCHAR(1)
	SET @ID_ELAB = C6MART.GETIDELAB()
	SET @TIPO_ELAB = C6MART.GETTIPOELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_DM_ASSETCLASS_TERZI',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	TRUNCATE TABLE C6MART.ASSETCLASS_TERZI
	INSERT INTO [C6Mart].[ASSETCLASS_TERZI]
		   ([ID_ASSETCLASS]
		   ,[COD_ISIN]
		   ,[COD_MAF]
		   ,[COD_ADEGUATEZZA]
		   ,[ID_ELAB]
		   ,[TIPO_ELAB])
	SELECT 
		B.CODICE_ASSET_CLASS_INGRESSO,
		B.CODICE_ISIN,
		B.CODICE_MAF,
		ISNULL(B.CODICE_ADEGUATEZZA,'$'),
		@ID_ELAB AS ID_ELAB,
		@TIPO_ELAB AS TIPO_ELAB
	FROM --C6STAGING.RP_ASSETCLASS A
	--JOIN 
	C6Staging.RP_REP_ASSET_1_E_2_ORDINATE B
		--ON A.ASSET = B.CODICE_ASSET_CLASS_INGRESSO
		--LTRIM(RTRIM(ALL_ASSET_CLASS_PER_PROMET.CODICE_ASSET_CLASS_INGRESSO)) AS ID_ASSETCLASS,
		--LTRIM(RTRIM(ISNULL(ALL_ASSET_CLASS_PER_PROMET.CODICE_ISIN,'$'))) AS COD_ISIN,
		--LTRIM(RTRIM(ISNULL(ALL_ASSET_CLASS_PER_PROMET.CODICE_MAF,'$'))) AS COD_MAF,
		--LTRIM(RTRIM(ISNULL(ALL_ASSET_CLASS_PER_PROMET.CODICE_ADEGUATEZZA,'$'))) AS COD_ADEGUATEZZA
		--,
		--@ID_ELAB AS ID_ELAB,
		--@TIPO_ELAB AS TIPO_ELAB
	--FROM C6STAGING.ALL_ASSET_CLASS_PER_PROMET
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_DM_ASSETCLASS_TERZI' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_DM_ASSETCLASS_TERZI'
		)
END